	.386
	.model use32 small
	public _strcmp
	.code
_strcmp:
	push	ebp
	mov	ebp,esp
	push	esi
	push	edi
	mov	edi,[8+ebp]
	mov	esi,edi
	mov	ecx,-1
	sub	al,al
	cld
	repne	scasb
	not	ecx
	mov	edi,[12+ebp]
	repe	cmpsb
	je	short zer
	js	short nega
	mov	eax,1
	jmp	short exit
zer:
	sub	eax,eax
	jmp	short exit
nega:
	mov	eax,-1
exit:
	pop	edi
	pop	esi
	pop	ebp
	ret
	end